Aller au contenu

Task templates

Tasks required for all bookings for a unit

The task template object

Attributes

iduuid

Unique identifier

product_iduuid
products.id

Identifier of the related unit

created_atread-onlytimestamp with time zone

Creation timestamp

updated_atread-onlytimestamp with time zone

Last modification timestamp

labeltext

Label of the task

momentMomentExpression

Moment at which the task is due

statusCalendarEventStatus

Whether the task only applies to confirmed events, or also to pending events

timetime without time zone | null

Time of day at which the task is scheduled

Related resources

Embed related resources in the response with the select parameter, for example select=*,products!product_id(*). Resources related through more than one column need the column as a hint, like table!column(*).

products!product_id(*)object | null
products

The product referenced by product_id.

task_template_assignees(*)array
task_template_assignees

The task template assignees referencing this task template through task_template_assignees.task_template_id.

tasks(*)array
tasks

The tasks referencing this task template through tasks.task_template_id.

The task template object
JSON
{
  "id": "00000000-0000-0000-0000-000000000000",
  "product_id": "00000000-0000-0000-0000-000000000000",
  "created_at": "2026-10-30T21:19:27.700Z",
  "updated_at": "2026-10-30T21:19:27.700Z",
  "label": "Summer cottage",
  "moment": {},
  "status": "CONFIRMED",
  "time": null
}
Including related resources
curl -X GET "https://api.bookingmood.com/v1/task_templates?limit=10&select=*,products!product_id(*),task_template_assignees(*)" \
  -H "Authorization: Bearer YOUR_API_KEY"

List task templates

Filters

idFilter<uuid>

Unique identifier

product_idFilter<uuid>
products.id

Identifier of the related unit

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

labelFilter<text>

Label of the task

momentFilter<MomentExpression>

Moment at which the task is due

statusFilter<CalendarEventStatus>

Whether the task only applies to confirmed events, or also to pending events

timeFilter<time without time zone | null>

Time of day at which the task is scheduled

Responses

200

A list of task templates with the selected columns

206

Partial Content

400

The request is malformed, for example an unknown column or an invalid filter.

401

The API key is missing or invalid.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
GET /task_templates
curl -X GET "https://api.bookingmood.com/v1/task_templates?select=*&limit=10" \
  -H "Authorization: Bearer YOUR_API_KEY"
Example response
JSON
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "product_id": "00000000-0000-0000-0000-000000000000",
    "created_at": "2026-10-30T21:19:27.700Z",
    "updated_at": "2026-10-30T21:19:27.700Z",
    "label": "Summer cottage",
    "moment": {},
    "status": "CONFIRMED",
    "time": null
  }
]

Create task templates

Body

Partial<TaskTemplate> | Array<Partial<TaskTemplate>>

Read-only attributes are set by the database and can't be written.

Responses

201

The newly created task templates with the selected columns

400

The request is malformed, for example an unknown column, an invalid filter or an invalid body.

401

The API key is missing or invalid.

403

The API key has no permission for this change, for example when writing rows of another organization.

409

The change conflicts with existing data, for example a duplicate key or a reference to a row that does not exist.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
POST /task_templates
curl -X POST "https://api.bookingmood.com/v1/task_templates" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "label": "Summer cottage",
    "moment": {},
    "product_id": "00000000-0000-0000-0000-000000000000",
    "status": "CONFIRMED"
  }'
Example response
JSON
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "product_id": "00000000-0000-0000-0000-000000000000",
    "created_at": "2026-10-30T21:19:27.700Z",
    "updated_at": "2026-10-30T21:19:27.700Z",
    "label": "Summer cottage",
    "moment": {},
    "status": "CONFIRMED",
    "time": null
  }
]

Delete task templates

Filters

Without filters, this request deletes all task templates you have access to. Always filter on at least one column, e.g. id=eq.{id}.

idFilter<uuid>

Unique identifier

product_idFilter<uuid>
products.id

Identifier of the related unit

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

labelFilter<text>

Label of the task

momentFilter<MomentExpression>

Moment at which the task is due

statusFilter<CalendarEventStatus>

Whether the task only applies to confirmed events, or also to pending events

timeFilter<time without time zone | null>

Time of day at which the task is scheduled

Responses

200

The deleted task templates with the selected columns. Returns 204 without a body when sending the header Prefer: return=minimal.

400

The request is malformed, for example an unknown column or an invalid filter.

401

The API key is missing or invalid.

403

The API key has no permission for this change, for example when writing rows of another organization.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
DELETE /task_templates
curl -X DELETE "https://api.bookingmood.com/v1/task_templates?id=eq.00000000-0000-0000-0000-000000000000" \
  -H "Authorization: Bearer YOUR_API_KEY"
Example response
JSON
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "product_id": "00000000-0000-0000-0000-000000000000",
    "created_at": "2026-10-30T21:19:27.700Z",
    "updated_at": "2026-10-30T21:19:27.700Z",
    "label": "Summer cottage",
    "moment": {},
    "status": "CONFIRMED",
    "time": null
  }
]

Update task templates

Filters

Without filters, this request updates all task templates you have access to. Always filter on at least one column, e.g. id=eq.{id}.

idFilter<uuid>

Unique identifier

product_idFilter<uuid>
products.id

Identifier of the related unit

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

labelFilter<text>

Label of the task

momentFilter<MomentExpression>

Moment at which the task is due

statusFilter<CalendarEventStatus>

Whether the task only applies to confirmed events, or also to pending events

timeFilter<time without time zone | null>

Time of day at which the task is scheduled

Body

Partial<TaskTemplate>

Read-only attributes are set by the database and can't be written.

Responses

200

The updated task templates with the selected columns. Returns 204 without a body when sending the header Prefer: return=minimal.

400

The request is malformed, for example an unknown column, an invalid filter or an invalid body.

401

The API key is missing or invalid.

403

The API key has no permission for this change, for example when writing rows of another organization.

409

The change conflicts with existing data, for example a duplicate key or a reference to a row that does not exist.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
PATCH /task_templates
curl -X PATCH "https://api.bookingmood.com/v1/task_templates?id=eq.00000000-0000-0000-0000-000000000000" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "label": "Summer cottage"
  }'
Example response
JSON
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "product_id": "00000000-0000-0000-0000-000000000000",
    "created_at": "2026-10-30T21:19:27.700Z",
    "updated_at": "2026-10-30T21:19:27.700Z",
    "label": "Summer cottage",
    "moment": {},
    "status": "CONFIRMED",
    "time": null
  }
]

Prenez le contrôle de vos réservations. Créez votre propre entreprise.

Rejoignez plus de 1200 entreprises indépendantes de location de vacances qui utilisent Bookingmood pour augmenter leurs réservations directes et renforcer leurs relations avec leurs clients.

Commencez l'essai gratuit de 14 jours